## org.ascape.query
Class SearchString

    java.lang.Object
      org.ascape.query.SearchString

    public class SearchString

extends java.lang.Object

User: jmiller Date: Dec 6, 2004 Time: 4:17:24 PM To change this template use Options | File Templates. **RULES FOR SEARCHING** To search for a single characteristic (age), age = 15; age=15 --> there can be separating spaces, there doesn't need to be To search within a list for a parameter without a name (eg a list of strings) list.* = goldfish ---> same rule applies about spacing To search within a list for a named parameter list.value1 = goldfish ---> same rule applies about spacing To do a boolean search, 1. there cannot be separating spaces between parameters 2. each sub string, as well as the entire query, must be enclosed in parentheses. 3. As of now, boolean searches cannot search on parameters enclosed in quotes (eg, "Holland Queen"). ((list.value1=goldfish) AND (list.value2=mouse))

Constructor Summary
`SearchString()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchString

    public SearchString()